- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP5FixedLengthGroup Class Referenceabstract

`#include <WP5FixedLengthGroup.h>`

Inheritance diagram for WP5FixedLengthGroup:

## Public Member Functions
| WP5FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()
virtual void | parse (WP5Listener *listener)=0

## Static Public Member Functions
static WP5FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0

## Private Attributes
unsigned char | m_group

## Constructor & Destructor Documentation

WP5FixedLengthGroup::WP5FixedLengthGroup | ( | const unsigned char | groupID | ) |

## Member Function Documentation

void WP5FixedLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected

Referenced by WP5AttributeGroup::WP5AttributeGroup(), WP5ExtendedCharacterGroup::WP5ExtendedCharacterGroup(), WP5IndentGroup::WP5IndentGroup(), WP5TabGroup::WP5TabGroup(), and WP5UnsupportedFixedLengthGroup::WP5UnsupportedFixedLengthGroup().

virtual void WP5FixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected pure virtual

Implemented in WP5AttributeGroup, WP5ExtendedCharacterGroup, WP5IndentGroup, WP5TabGroup, and WP5UnsupportedFixedLengthGroup.

Referenced by _read().

WP5FixedLengthGroup * WP5FixedLengthGroup::constructFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID
| ) |  |
| static

Referenced by WP5Part::constructPart().

unsigned char WP5FixedLengthGroup::getGroup | ( |  | ) | const
| inline

bool WP5FixedLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID
| ) |  |
| static

Referenced by WP5Part::constructPart().

## Member Data Documentation

unsigned char WP5FixedLengthGroup::m_group
| private

Referenced by _read(), and getGroup().

The documentation for this class was generated from the following files:

- WP5FixedLengthGroup.h
- WP5FixedLengthGroup.cpp